<html>
<head>
<title>OgreFrustum.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreFrustum.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h_source.html">OgreAxisAlignedBox.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVertexIndexData_8h_source.html">OgreVertexIndexData.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMovablePlane_8h_source.html">OgreMovablePlane.h</a>&quot;</code><br/>
</div>
<p><a href="OgreFrustum_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Frustum.html">Ogre::Frustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area.  <a href="classOgre_1_1Frustum.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305">Ogre::OrientationMode</a> { <br/>
&#160;&#160;<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a8e7655727ba9332f3843f46a4d1b126b">Ogre::OR_DEGREE_0</a> =  0, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a28c273827e348532e2e5193ddb3c5c0e">Ogre::OR_DEGREE_90</a> =  1, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305acd8defb52221ab0634b6456b88777ea9">Ogre::OR_DEGREE_180</a> =  2, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a2a392843ac77a835af8b3ca000bac382">Ogre::OR_DEGREE_270</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305abc9559bd9584facb95a611c0111b8894">Ogre::OR_PORTRAIT</a> =  OR_DEGREE_0, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305ac5ccf894975be135988c046317296761">Ogre::OR_LANDSCAPERIGHT</a> =  OR_DEGREE_90, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a286804a9c1f2abd94afa2eaff4ef40c4">Ogre::OR_LANDSCAPELEFT</a> =  OR_DEGREE_270
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies orientation mode.  <a href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gaf5dd9a3d1fd373b17108baa16065b1ce">Ogre::ProjectionType</a> { <a class="el" href="group__Math.html#ggaf5dd9a3d1fd373b17108baa16065b1cea739a7eabe0426ba0cd2f6e94a5e5be25">Ogre::PT_ORTHOGRAPHIC</a>, 
<a class="el" href="group__Math.html#ggaf5dd9a3d1fd373b17108baa16065b1ceab93552ced844b58965a168d27150e262">Ogre::PT_PERSPECTIVE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies perspective (realistic) or orthographic (architectural) projection.  <a href="group__Math.html#gaf5dd9a3d1fd373b17108baa16065b1ce">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga62275d08557868fd87154c46dfcc9dfd">Ogre::FrustumPlane</a> { <br/>
&#160;&#160;<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdac3491138fb6ea5aab59e7a19df7775cf">Ogre::FRUSTUM_PLANE_NEAR</a> =  0, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda0dd893c751a483a18e1345aa88135e8f">Ogre::FRUSTUM_PLANE_FAR</a> =  1, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdaac17072b67144059d69d578706365499">Ogre::FRUSTUM_PLANE_LEFT</a> =  2, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdab0c99c0e896fe615393fabba067f1a30">Ogre::FRUSTUM_PLANE_RIGHT</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda44c7b45d93e28524064ae95457224a4b">Ogre::FRUSTUM_PLANE_TOP</a> =  4, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda4a8d7be432f1ee786179d29dfdf3ee10">Ogre::FRUSTUM_PLANE_BOTTOM</a> =  5
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Worldspace clipping planes.  <a href="group__Math.html#ga62275d08557868fd87154c46dfcc9dfd">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
